<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="container">

        <div class="row d-flex align-items-center min-vh-100">
            <div class="col-sm-6 mx-auto my-0 jumbotron">
                <div>
                    <h3>Forgot your Password?</h3>
                    <p>Enter your email address and we will send you intructions to reset your password</p>
                    <hr>
                </div>
                <form id="form-forgot-pass" action="" class="form-submit">

                    <div class="row form-group input-group-lg">

                        <input type="email" id="inp-email" class="form-control col-sm-12" aria-label="Large"
                            aria-describedby="inputGroup-sizing-sm" placeholder="AddressEmail">
                    </div>

                    <div class="row form-group">

                        <button class="btn btn-primary col-sm-12 btn-lg">Continue</button>
                    </div>
                    <div class="row">
                        <div class="col text-center">
                            <a href="">Back to My App</a>
                        </div>
                    </div>
                </form>

            </div>

            <!-- Optional JavaScript -->
            <!-- jQuery first, then Popper.js, then Bootstrap JS -->
            <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
                integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
                crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
                integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
                crossorigin="anonymous"></script>
            <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
                integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
                crossorigin="anonymous"></script>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $("#form-forgot-pass").on("submit", function (envent) {
            event.preventDefault();
            onBtnContinue();
        })
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnContinue() {
        var vForgotDataObj = {
            emailAddress: "",
        }
        getDataForgotPass(vForgotDataObj);
        var vCheck = validateEmailAddress(vForgotDataObj);
        if (vCheck) {
            displayDataForgot(vForgotDataObj);
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getDataForgotPass(paramForgot) {
        paramForgot.emailAddress = $("#inp-email").val().trim();

    }
    // validate email 
    function validateEmailAddress(paramForgot) {
        if (paramForgot.emailAddress == "") {
            alert("Hãy nhập địa chỉ email");
            return false;
        }
        else if (checkEmail(paramForgot.emailAddress) == false) {
            return false;
        }
        return true;
    }
    function checkEmail(paramEmail) {
        var validRegex = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

        if (paramEmail.match(validRegex)) {
            alert("Valid email address!");
            return true;

        } else {
            alert("Invalid email address!");
            return false;
        }
    }
    // show data 
    function displayDataForgot(paramForgot) {
        console.log("emailaddress: " + paramForgot.emailAddress);
    }
</script>

</html>